org.eclipse.actf.util.win32.comclutch

## Class Handler

- java.lang.Object
- - org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl
  - - org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl
    - - org.eclipse.actf.util.win32.comclutch.Handler

All Implemented Interfaces:
  IDispatch, IResource, IUnknown

    public abstract class Handler
    extends org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl
    implements IDispatch

TODO: (For event handling)

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`abstract Object` `defaultHandler(Object[] args)`
`Object` `get(String prop)`
`Object` `get(String prop, Object[] args)`
`Object` `invoke(String method, Object[] args)`
`Object` `invoke0(String method)`
`Object` `invoke1(String method, Object arg1)`
`IDispatch` `newIDispatch(long ptr)`
`IUnknown` `newIUnknown(long ptr)` It will be called from native code
`void` `put(String prop, Object val)`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl

`addRef, getPtr, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from class org.eclipse.actf.util.win32.comclutch.impl.IResourceImpl

`addResource, equals, findInResource, getResourceManager, hashCode, isPermanent, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IDispatch

`cacheDispIDs`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Method Detail

#### defaultHandler

    public abstract Object defaultHandler(Object[] args)

#### get

    public Object get(String prop)

Specified by:
  `get` in interface `IDispatch`
Parameters:
  `prop` - the property name
Returns:
  the value of the property

#### invoke

    public Object invoke(String method,
                Object[] args)

Specified by:
  `invoke` in interface `IDispatch`
Parameters:
  `method` - the method name
  `args` - the array of arguments
Returns:
  the result of the native invocation

#### invoke0

    public Object invoke0(String method)

Specified by:
  `invoke0` in interface `IDispatch`
Parameters:
  `method` - the method name
Returns:
  the result of the native invocation

#### invoke1

    public Object invoke1(String method,
                 Object arg1)

Specified by:
  `invoke1` in interface `IDispatch`
Parameters:
  `method` - the method name
  `arg1` - the argument
Returns:
  the result of the native invocation

#### put

    public void put(String prop,
           Object val)

Specified by:
  `put` in interface `IDispatch`
Parameters:
  `prop` - the property name
  `val` - the value to be set to the property

#### newIUnknown

    public IUnknown newIUnknown(long ptr)

Description copied from interface: `IUnknown`
It will be called from native code

Specified by:
  `newIUnknown` in interface `IUnknown`
Overrides:
  `newIUnknown` in class `org.eclipse.actf.util.win32.comclutch.impl.IUnknownImpl`

#### newIDispatch

    public IDispatch newIDispatch(long ptr)

Specified by:
  `newIDispatch` in interface `IDispatch`
Returns:
  It will be called from native code

#### get

    public Object get(String prop,
             Object[] args)

Specified by:
  `get` in interface `IDispatch`
Parameters:
  `prop` - the property name
  `args` - the array of arguments
Returns:
  the value of the property